@import 'own_variables.sass';

.header{
	margin-top: 20px;
	text-align: center;
	color: $main_color;
}
.all-categories-large, .all-categories-small{
	.category-item{
		.card{
			&:hover{
				background-color: $hover-color;
				.card-image{
					animation: shake 0.82s cubic-bezier(.36,.07,.19,.97) both;
					transform: translate3d(0, 0, 0);
					backface-visibility: hidden;
					perspective: 1000px;
				}
			}
			.card-image img{
				padding: 30px;
			}
			.card-content{
				padding: 0px;
				span{
					width: 100%;
					text-align: center;
					padding: 10px;
					margin: 0px;
				}
			}
		}
	}
}

@keyframes shake {
  10%, 90% {
    transform: translate3d(-2px, 0, 0);
  }
  
  20%, 80% {
    transform: translate3d(3px, 0, 0);
  }

  30%, 50%, 70% {
    transform: translate3d(-5px, 0, 0);
  }

  40%, 60% {
    transform: translate3d(5px, 0, 0);
  }
}

@media (max-width: 600px) and (min-width: 501px) {
	.all-categories-small{
		.category-item{

			.card{
				// height: 75%;
				width: 60%;
				margin: {
					left: auto;
					right: auto;
				}
			}
		}
	}
}
@media (max-width: 500px) and (min-width: 350px) {
	.all-categories-small{
		.category-item{

			.card{
				// height: 75%;
				width: 75%;
				margin: {
					left: auto;
					right: auto;
				}
			}
		}
	}
}